Patching fix for Tika-521 on Tika 0.8

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Patching fix for Tika-521 on Tika 0.8

Jana, Kumar Raja
Hi,
Is it possible to patch the fix for Tika-521 to Tika 0.8 without upgrading to POI 3.8?

There is TikaExcelEventBasedExtraction.diff attached to the Jira case, can this be used to resolve the issue? We are tied down to POI 3.7 and cannot move to POI 3.8 due to compatibility issues with other code.

Thank you.

Regards,
Kumar
Reply | Threaded
Open this post in threaded view
|

Re: Patching fix for Tika-521 on Tika 0.8

Nick Burch-2
On Wed, 21 Nov 2012, Jana, Kumar Raja wrote:
> Is it possible to patch the fix for Tika-521 to Tika 0.8 without
> upgrading to POI 3.8?

Tika 0.8 is fairly old, there have been lots of new features and bug fixes
since then. Ditto POI 3.7

> There is TikaExcelEventBasedExtraction.diff attached to the Jira case,
> can this be used to resolve the issue?

The patch won't work against 3.7 as it needed new features only in 3.8.
You might be able to do some work and apply it to 3.7 with a few bits of
functionality missing (eg protection info)

> We are tied down to POI 3.7 and cannot move to POI 3.8 due to
> compatibility issues with other code.

POI 3.9 should be out shortly, I'd suggest you try with that, report any
problems / regressions so they can be fixed before the final release, then
go with that! If you look at the change list
http://poi.apache.org/changes.html you'll see how many bug fixes there
have been!

Nick